var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconTreeTerminologySearchComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-tree_terminology_search").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 20 20" }, rest, { ref: ref }),
        React.createElement("rect", { width: "20", height: "20", fill: useCurrentColor ? 'currentColor' : '#4E88E2', rx: "6" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M14.338 4.167c.343 0 .62.238.62.53v5.621a3.5 3.5 0 0 0-4.066 5.516h-5.23c-.343 0-.62-.24-.62-.53V4.696c0-.292.277-.53.62-.53h8.677Zm-7.453 5.25a.511.511 0 0 0 0 1.02h2.77a.51.51 0 1 0 0-1.02h-2.77Zm0-2.382a.511.511 0 0 0 0 1.02h4.23a.51.51 0 0 0 0-1.02h-4.23Z" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M13.412 11.5a1.913 1.913 0 0 1 1.709 2.767l.842.828a.5.5 0 0 1-.7.713l-.811-.796a1.91 1.91 0 0 1-.673.276 1.912 1.912 0 1 1-.367-3.788Z" }));
}
var IconTreeTerminologySearch = React.forwardRef(IconTreeTerminologySearchComponent);
export default IconTreeTerminologySearch;
